citeproc-hs-0.3.4: A Citation Style Language implementation in Haskell

Portability | unportable
Stability | unstable
Maintainer | Andrea Rossato <andrea.rossato@unitn.it>
Safe Haskell | Safe-Infered

Text.CSL.Test

Description

A module for reading Frank's citeproc-js testsuite.

# Documentation

toTest :: JSValue -> Test

runTS :: [String] -> Int -> FilePath -> IO ()

test :: FilePath -> IO Bool

test' :: Int -> FilePath -> IO Bool

test_ :: Int -> FilePath -> IO Bool

runTest :: Test -> IO (Bool, String)

data Test

Constructors

Test |

Fields

testMode :: String
testInput :: [Reference]
testCSL :: Style
testAbbrevs :: [Abbrev]
testResult :: String
testBibSect :: BibOpts
testCitItems :: Maybe Citations
testCitations :: Maybe Citations

Instances

Show Test |